#!/bin/sh
# Post installation for debian 3.1 installation

# THis is the module name. Should be valid.
HPTMOD=rr640l
#
mount -v /dev/sdb3 /target

mount -v /dev/sdb2 /target/boot
mount -v /dev/sdb1 /target/boot/efi
mount -v /dev/sdb4 /target/deepin/userdata/
mount -v /dev/sdb5 /target/recovery

mount --bind -v /target/deepin/userdata/home/ /target/home
mount --bind -v /target/deepin/userdata/opt/ /target/opt
mount --bind -v /target/deepin/userdata/root /target/root
mount --bind -v /target/deepin/userdata/var /target/var
mount --bind -v /dev/ /target/dev
mount --bind -v /proc/ /target/proc
mount --bind -v /run/  /target/run
mount --bind -v /sys /target/sys
mount --bind -v /var/run /target/var/run
#
# Do NOT edit the following in most cases
#
if test "${HPTMOD}set" = "set" ; then
	echo "Error! Which module to install?";
	exit 1;
fi

FLOPPY=$( dirname $0 )

if [ ! -d /target/lib/modules/ ]; then
	echo "Error! Can not find any system module installation directory!";
	exit 1;
fi

RELEASES=$( ls /target/lib/modules/ )

if test "${RELEASES}set" = "set" ; then
	echo "Error! No kernel package has been installed!";
	exit 1;
fi

if [ "`/target/bin/uname -m`" = "x86_64" ];then
    ARCH=x86_64
elif [ "`/bin/uname -m`" = "aarch64" ];then
	ARCH=aarch64
else
    ARCH=i386
fi

for RELEASE in ${RELEASES}; do
		zcat ${FLOPPY}/boot/$HPTMOD${RELEASE}${ARCH}.ko.gz > /target/lib/modules/${RELEASE}/kernel/drivers/scsi/${HPTMOD}.ko	
		#zcat ${FLOPPY}/boot/$HPTMOD${RELEASE}${ARCH}.ko.gz > /target/lib/modules/${RELEASE}/kernel/drivers/block/${HPTMOD}.ko	
done

sync
sync
sync
cat  $FLOPPY/postinst2.sh > /target/tmp/postinst2.sh
sync
chmod +x /target/tmp/postinst2.sh
chroot /target /tmp/postinst2.sh
rm -f /target/tmp/postinst2.sh

echo "We have completed the driver installation, you can use Ctrl+Alt+F7 to switch to the installation console to finish the installation."

exit 0

